Bug 1833761

Summary: Alexandria won’t start
Product: [Fedora] Fedora Reporter: Piotr Drąg <piotrdrag>
Component: alexandriaAssignee: Mamoru TASAKA <mtasaka>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 32CC: mtasaka
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-05-23 12:34:27 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Piotr Drąg 2020-05-10 11:04:07 UTC
Description of problem:

After the update to Fedora 32, Alexandria won’t start.

Version-Release number of selected component (if applicable):

alexandria-0.7.4-1.fc32.1.noarch

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:

$ alexandria
Traceback (most recent call last):
	8: from /usr/bin/alexandria:9:in `<main>'
	7: from /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:92:in `require'
	6: from /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:92:in `require'
	5: from /usr/share/ruby/vendor_ruby/alexandria.rb:71:in `<top (required)>'
	4: from /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:92:in `require'
	3: from /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:92:in `require'
	2: from /usr/share/ruby/vendor_ruby/alexandria/ui.rb:21:in `<top (required)>'
	1: from /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:92:in `require'
/usr/share/rubygems/rubygems/core_ext/kernel_require.rb:92:in `require': cannot load such file -- gtk3 (LoadError)


Expected results:

Alexandria working. :)

Additional info:

Comment 1 Fedora Update System 2020-05-11 10:41:13 UTC
FEDORA-2020-edb5063b45 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-edb5063b45

Comment 2 Fedora Update System 2020-05-12 07:18:20 UTC
FEDORA-2020-edb5063b45 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-edb5063b45`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-edb5063b45

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 3 Fedora Update System 2020-05-20 03:19:18 UTC
FEDORA-2020-edb5063b45 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 4 Mamoru TASAKA 2020-05-23 12:34:27 UTC
Closing.